| Home | Libraries | People | FAQ | More

## Class template unwrap_reference

boost::unwrap_reference — Find the type in a `reference_wrapper`.

## Synopsis

    template<typename T>
    class unwrap_reference {
    public:
      // types
      typedef unspecified type;
    };

## Description

The typedef `type` is `T::type` if `T` is a `reference_wrapper`, `T` otherwise.

| Copyright © 1999, 2000 Jaakko Järvi Copyright © 2001, 2002 Peter Dimov Copyright © 2002 David Abrahams